#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define srcname perlqt

%define subrel 1
%define rel 1

%define _exclude_files_from_autoreq %_docdir/%name/examples/.*
%define _exclude_files_from_autoprov %_docdir/%name/examples/.*
%define _with_qwt 1

Name: perl-qt4
Summary: Qt bindings for Perl
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and Artistic and GPLv3 and LGPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%srcname-%version.tar.xz
Patch0: perlqt-4.8.1-link.patch
BuildRequires: smokeqt-devel >= 1:%version
BuildRequires: perl-devel
BuildRequires: cmake

Conflicts: perl-kde < 1:4.6.90

%description
A Qt4 bindings for perl language.

%files 
%doc MANIFEST README
%_bindir/puic4
%_bindir/prcc4_bin
%_bindir/qdbusxml2perl
%perl_sitearch/Qt*.pm
%perl_sitearch/QtCore4
%perl_sitearch/auto/Qt*
%perl_sitelib/*/Phonon.pm
%perl_sitelib/*/QImageBlitz.pm
%perl_sitelib/*/Qsci.pm
%if %{_with_qwt}
%perl_sitelib/*/Qwt.pm
%perl_sitelib/*/auto/Qwt/Qwt.so
%endif
%perl_sitelib/*/auto/Phonon/Phonon.so
%perl_sitelib/*/auto/QImageBlitz/QImageBlitz.so
%perl_sitelib/*/auto/Qsci/Qsci.so
%exclude %_docdir/perl-qt4/examples

#------------------------------------------------------------------------------

%package devel
Summary: Headers files for %{name}
Group: Development/KDE and Qt
Requires: smokeqt-devel >= 1:%version
Requires: %{name} = %epoch:%version-%release

%description devel
Headers files for %{name}

%files devel
%dir %_includedir/%srcname
%_includedir/%srcname/QtCore4.h
%_includedir/%srcname/binding.h
%_includedir/%srcname/handlers.h
%_includedir/%srcname/listclass_macros.h
%_includedir/%srcname/marshall.h
%_includedir/%srcname/marshall_basetypes.h
%_includedir/%srcname/marshall_complex.h
%_includedir/%srcname/marshall_macros.h
%_includedir/%srcname/marshall_primitives.h
%_includedir/%srcname/marshall_types.h
%_includedir/%srcname/perlqt.h
%_includedir/%srcname/ppport.h
%_includedir/%srcname/smokehelp.h
%_includedir/%srcname/smokeperl.h
%_includedir/%srcname/util.h
%dir %_datadir/%srcname
%_datadir/%srcname/cmake/FindPerlMore.cmake
%_datadir/%srcname/cmake/PerlQtConfig.cmake
%_datadir/%srcname/cmake/PerlQtExport-release.cmake
%_datadir/%srcname/cmake/PerlQtExport.cmake
%_datadir/%srcname/doxsubpp.pl

#------------------------------------------------------------

%package examples
Summary: PyQt 4 examples
BuildArch: noarch
Group: Development/KDE and Qt

%description examples
PyQt 4 documentation

%files examples
%doc %_docdir/%name/examples

#------------------------------------------------------------

%prep
%setup -q -n %srcname-%version
%patch0 -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_qt4 -DENABLE_GUI_TESTS=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Package examples
mkdir -p %buildroot%_docdir/perl-qt4/examples
for i in phonon qtgui ;
do 
    mkdir -p %buildroot%_docdir/perl-qt4/examples/$i
    cp -fr $i/examples/* %buildroot%_docdir/perl-qt4/examples/$i
done


%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450702
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407294
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401951
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394457
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 375541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339568
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334619
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Enable qwt bindings

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326820
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320338
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316238
- Update tarball to KDE SC 4.9.3

* Sun Oct 28 2012 fwang <fwang> 1:4.9.2-4.mga3
+ Revision: 310936
- filter provides and requires from example files

* Sun Oct 28 2012 fwang <fwang> 1:4.9.2-3.mga3
+ Revision: 310932
- exclude example from main package

* Sat Oct 27 2012 neoclust <neoclust> 1:4.9.2-2.mga3
+ Revision: 310589
- Package examples

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301910
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289681
- Update tarball to KDE SC 4.9.1
- Remove unused BuildRequires

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276633
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269722
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265487
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257196
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga3
+ Revision: 228437
- new version 4.8.2

* Fri Mar 09 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 221894
- update file list
- fix linkage
- new version 4.8.1

  + mikala <mikala>
    - New upstream tarball

* Wed Jan 25 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 201119
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190881
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185801
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182213
- Update tarball to KDE SC 4.7.90
- fix macros usage
- fix BuildRequires
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176570
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161426
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151990
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140680
- Update tarball to KDE SC 4.7.1
- Fix license tag
- Fix BuildRequires
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122561
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115968
- Fix file list
- Add missing requires for -devel package
- Add more requires for -devel package
- Add conflicts against perl-kde
- imported package perl-qt4

